SVG in Layer Properties Crashes QGIS
Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 22652

Description

I'm using Ubuntu 15.10 and QGIS 2.14.1

Add a point layer 

Go to Properties 

Change Simple Marker to SVG 

QGIS Crashes

I tested it with Shapefiles and PostGIS just for giggles. Crashed on Both.

History

#1 - 2016-04-16 09:43 AM - R. R.

I've tried to reproduce this issue, but everything works as expected.

Ubuntu 14.04 LTS

qgis 1:2.14.1+git20160413+0bde357+20trusty

#2 - 2016-04-18 11:54 AM - Randal Hale

I'm going to attempt to reload QGIS 2.14.1 - I just crashed my OSGEO4W install doing the exact same thing.

#3 - 2016-04-19 02:58 PM - Nyall Dawson

- Status changed from Open to Feedback

I suspect this is caused by a malformed svg in your svg library. If you can track down which one is causing it and share then I'm sure we can find a fix...

#4 - 2016-04-19 06:20 PM - Randal Hale

I think I figured it out. I had added my /home/rjhale directory as an SVG search directory at some point in the past. I went under settings -> Options ->

System and removed /home/rjhale and it stopped crashing. I had no SVG's in /home/rjhale. I did have some png and jpgs. So I'm trying to figure out it one

of those as causing an issue. I even re-added /home/rjhale and it's working now. Time to check the two other installs to see what is happening.

#5 - 2016-04-20 07:44 AM - Nyall Dawson
Note that the search is recursive, so the SVG may be in a subdirectory

#6 - 2016-04-22 12:09 PM - Becky Wilkes

I thought I would chime in here, as I was having a similar problem just this week.  In trying to set properties for a point layer, if I tried to change my Simple

Marker to an SVG symbol, QGIS would crash.  I'm running QGIS LTR 2.8.8 on Windows (64 bit).

I had tried uninstalling and reinstalling QGIS, to no avail.  But clearing my SVG path (it had been set to my desktop) under "Settings>Options>System"

caused the problem to go away.  (Thanks, Randal!)

p.s.  From brief tests on a colleague's computer, this problem does NOT seem to occur on a Mac.

#7 - 2016-05-23 08:25 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to not reproducable

I thought it could have a been a path with no SVG in it, but I tested an no crashes.

Please reopen if you find a reliable way to replicate the issue.

#8 - 2016-10-25 04:37 AM - Bernardo Loureiro

I've encountered the same issue on Mac OS 10.11.6 and QGIS 2.14.3.

As the OP mentioned, the issue is resolved when changing the default SVG search directory from /home/myuser to another folder.

I think the issue might be related to the fact that QGIS tries to search my entire user directory for SVGs. I think it would be best if the default SVG search

folder was not /home/myuser.

2025-04-27 2/2


